#include <stdio.h>
#include <stdlib.h>

#define MAXN 100001

int n, sol;
int x [MAXN], y [MAXN];
int c [2 * MAXN], p [2 * MAXN];

int compare (const void * a, const void * b)
{
	return ( c [*(int*)a] - c [*(int*)b] );
}

int main ()
{
	scanf ("%d", &n);
	for (int i = 0; i < n; i++)
		scanf ("%d %d", &x [i], &y [i]);

	for (int i = 0; i < n; i++)
	{
		c [2 * i] = x [i] - abs (y [i]);
		c [2 * i + 1] = x [i] + abs (y [i]);
	}
	for (int i = 0; i < 2 * n; i++)
		p [i] = i;
	qsort(p, 2 * n, sizeof (int), compare);
//	for (int i = 0; i < 2 * n; i++)
//		printf ("%d %d\n", p [i], c [p [i]]);

	sol = 0;
	int i = 0;
	int sum = 0;
	while (i < 2 * n)
	{
		int tmp = c [p [i]];
		while ((i < 2 * n) && (tmp == c [p [i]]))
		{
			if ((p [i] & 1) == 0)
				sum++;
			else
				sum--;
			i++;
		}
		if (sum > sol)
			sol = sum;
	}
//	printf ("%d %d\n", n, sol);

	printf ("%d\n", sol);

	return 0;
}
