#include<stdio.h>
#include "time.h" 
#define MAX_N 505

int dx [] = {0, 1, 1, 1, 2};
int dy [] = {0, -1, 0, 1, 0};

int n, m, b [MAX_N][MAX_N], numC, numT;
bool mark [MAX_N][MAX_N];
FILE *in, *out;

clock_t start_time,elapsed;
double elapsed_time; 

	void input()
	{
		scanf ("%d %d", &n, &m);
		for (int i = 0; i < n; i++)
			for (int j = 0; j < m; j++)
				scanf ("%d", &b [i][j]);
	}

	void output()
	{
		if (numC == -1)
		{
			printf ("-1\n");
			return;
		}

		for (int i = 0; i < n; i++)
		{
			for (int j = 0; j < m; j++)
				printf ("%d ", b [i][j]);
			printf ("\n");
		}
	}

	void solve()
	{
		for (int i = 0; i < n; i++)
			for (int j = 0; j < m; j++)
				mark [i][j] = false;

		numC = 0;
		for (int i = 0; i < n; i++)
			for (int j = 0; j < m; j++)
				if ((b [i][j] == 1) && (! mark [i][j]))
				{
					numC++;
					
					for (int k = 0; k < 5; k++)
					{
						int x = i + dx [k];
						int y = j + dy [k];
						if ((0 <= x) && (x < n) && (0 <= y) && (y < m) && (! mark [x][y]) && (b [x][y] == 1))
						{
							b [x][y] = numC;
							mark [x][y] = true;
						}
						else
						{
							numC = -1;
							return;
						}
					}
				}
	}

	int main()
	{

		scanf ("%d", &numT);
		for (int t = 0; t < numT; t++)
		{
			input();
			solve();
			output();
		}

		return 0;
	}